#!/usr/bin/python

from nikos_welt import *
from Roboter3 import *

meine_Welt=Welt('welt.welt',14)
schlumpf=Roboter3(meine_Welt,0.2)
schlumpf.vor_bis_wand()
while 1:
   	if schlumpf.links_frei():
   		schlumpf.linkskurve()
		schlumpf.vor_bis_wand()
   		if schlumpf.rechts_frei():
			schlumpf.rechtskurve()
			schlumpf.vor_bis_wand()
   	if not (schlumpf.links_frei() and schlumpf.rechts_frei()):
		break
Tkinter.mainloop()
